Deprecate prepare push commit when pushing to trunk.
authormachenbach@chromium.org <machenbach@chromium.org@ce2b1a6d-e550-0410-aec6-3dcde31c8c00>
Thu, 20 Mar 2014 09:23:44 +0000 (09:23 +0000)
committermachenbach@chromium.org <machenbach@chromium.org@ce2b1a6d-e550-0410-aec6-3dcde31c8c00>
Thu, 20 Mar 2014 09:23:44 +0000 (09:23 +0000)
- This also deprecates using version.cc on bleeding edge.
- The deprecated push-to-trunk.sh is deleted.
- The script now commits bleeding edge HEAD by default. Committing different revisions will be added in a follow up CL.

R=jkummerow@chromium.org

Review URL: https://codereview.chromium.org/203753010

git-svn-id: http://v8.googlecode.com/svn/branches/bleeding_edge@20101 ce2b1a6d-e550-0410-aec6-3dcde31c8c00

src/version.cc
tools/push-to-trunk.sh [deleted file]
tools/push-to-trunk/push_to_trunk.py
tools/push-to-trunk/test_scripts.py

index 9aa66c9..0fb34e2 100644 (file)
 // system so their names cannot be changed without changing the scripts.
 #define MAJOR_VERSION     3
 #define MINOR_VERSION     25
-#define BUILD_NUMBER      21
+#define BUILD_NUMBER      9999
 #define PATCH_LEVEL       0
 // Use 1 for candidates and 0 otherwise.
 // (Boolean macro values are not supported by all preprocessors.)
-#define IS_CANDIDATE_VERSION 0
+#define IS_CANDIDATE_VERSION 1
 
 // Define SONAME to have the build system put a specific SONAME into the
 // shared library instead the generic SONAME generated from the V8 version
diff --git a/tools/push-to-trunk.sh b/tools/push-to-trunk.sh
deleted file mode 100755 (executable)
index c91cd19..0000000
+++ /dev/null
@@ -1,412 +0,0 @@
-#!/bin/bash
-# Copyright 2012 the V8 project authors. All rights reserved.
-# Redistribution and use in source and binary forms, with or without
-# modification, are permitted provided that the following conditions are
-# met:
-#
-#     * Redistributions of source code must retain the above copyright
-#       notice, this list of conditions and the following disclaimer.
-#     * Redistributions in binary form must reproduce the above
-#       copyright notice, this list of conditions and the following
-#       disclaimer in the documentation and/or other materials provided
-#       with the distribution.
-#     * Neither the name of Google Inc. nor the names of its
-#       contributors may be used to endorse or promote products derived
-#       from this software without specific prior written permission.
-#
-# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
-# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
-# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
-# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
-# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
-# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
-# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
-# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
-# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
-# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-
-########## Global variable definitions
-
-BRANCHNAME=prepare-push
-TRUNKBRANCH=trunk-push
-PERSISTFILE_BASENAME=/tmp/v8-push-to-trunk-tempfile
-CHROME_PATH=
-
-########## Function definitions
-
-source $(dirname $BASH_SOURCE)/common-includes.sh
-
-usage() {
-cat << EOF
-usage: $0 OPTIONS
-
-Performs the necessary steps for a V8 push to trunk. Only works for \
-git checkouts.
-
-OPTIONS:
-  -h    Show this message
-  -s    Specify the step where to start work. Default: 0.
-  -l    Manually specify the git commit ID of the last push to trunk.
-  -c    Specify the path to your Chromium src/ directory to automate the
-        V8 roll.
-EOF
-}
-
-########## Option parsing
-
-while getopts ":hs:l:c:" OPTION ; do
-  case $OPTION in
-    h)  usage
-        exit 0
-        ;;
-    s)  START_STEP=$OPTARG
-        ;;
-    l)  LASTPUSH=$OPTARG
-        ;;
-    c)  CHROME_PATH=$OPTARG
-        ;;
-    ?)  echo "Illegal option: -$OPTARG"
-        usage
-        exit 1
-        ;;
-  esac
-done
-
-
-########## Regular workflow
-
-initial_environment_checks
-
-if [ $START_STEP -le $CURRENT_STEP ] ; then
-  echo ">>> Step $CURRENT_STEP: Preparation"
-  common_prepare
-  delete_branch $TRUNKBRANCH
-fi
-
-let CURRENT_STEP+=1
-if [ $START_STEP -le $CURRENT_STEP ] ; then
-  echo ">>> Step $CURRENT_STEP: Create a fresh branch."
-  git checkout -b $BRANCHNAME svn/bleeding_edge \
-    || die "Creating branch $BRANCHNAME failed."
-fi
-
-let CURRENT_STEP+=1
-if [ $START_STEP -le $CURRENT_STEP ] ; then
-  echo ">>> Step $CURRENT_STEP: Detect commit ID of last push to trunk."
-  [[ -n "$LASTPUSH" ]] || LASTPUSH=$(git log -1 --format=%H ChangeLog)
-  LOOP=1
-  while [ $LOOP -eq 1 ] ; do
-    # Print assumed commit, circumventing git's pager.
-    git log -1 $LASTPUSH | cat
-    confirm "Is the commit printed above the last push to trunk?"
-    if [ $? -eq 0 ] ; then
-      LOOP=0
-    else
-      LASTPUSH=$(git log -1 --format=%H $LASTPUSH^ ChangeLog)
-    fi
-  done
-  persist "LASTPUSH"
-fi
-
-let CURRENT_STEP+=1
-if [ $START_STEP -le $CURRENT_STEP ] ; then
-  echo ">>> Step $CURRENT_STEP: Prepare raw ChangeLog entry."
-  # These version numbers are used again later for the trunk commit.
-  read_and_persist_version
-
-  DATE=$(date +%Y-%m-%d)
-  persist "DATE"
-  echo "$DATE: Version $MAJOR.$MINOR.$BUILD" > "$CHANGELOG_ENTRY_FILE"
-  echo "" >> "$CHANGELOG_ENTRY_FILE"
-  COMMITS=$(git log $LASTPUSH..HEAD --format=%H)
-  for commit in $COMMITS ; do
-    # Get the commit's title line.
-    git log -1 $commit --format="%w(80,8,8)%s" >> "$CHANGELOG_ENTRY_FILE"
-    # Grep for "BUG=xxxx" lines in the commit message and convert them to
-    # "(issue xxxx)".
-    git log -1 $commit --format="%B" \
-        | grep "^BUG=" | grep -v "BUG=$" | grep -v "BUG=none$" \
-        | sed -e 's/^/        /' \
-        | sed -e 's/BUG=v8:\(.*\)$/(issue \1)/' \
-        | sed -e 's/BUG=chromium:\(.*\)$/(Chromium issue \1)/' \
-        | sed -e 's/BUG=\(.*\)$/(Chromium issue \1)/' \
-        >> "$CHANGELOG_ENTRY_FILE"
-    # Append the commit's author for reference.
-    git log -1 $commit --format="%w(80,8,8)(%an)" >> "$CHANGELOG_ENTRY_FILE"
-    echo "" >> "$CHANGELOG_ENTRY_FILE"
-  done
-  echo "        Performance and stability improvements on all platforms." \
-    >> "$CHANGELOG_ENTRY_FILE"
-fi
-
-let CURRENT_STEP+=1
-if [ $START_STEP -le $CURRENT_STEP ] ; then
-  echo ">>> Step $CURRENT_STEP: Edit ChangeLog entry."
-  echo -n "Please press <Return> to have your EDITOR open the ChangeLog entry, \
-then edit its contents to your liking. When you're done, save the file and \
-exit your EDITOR. "
-  read ANSWER
-  $EDITOR "$CHANGELOG_ENTRY_FILE"
-  NEWCHANGELOG=$(mktemp)
-  # Eliminate any trailing newlines by going through a shell variable.
-  # Also (1) eliminate tabs, (2) fix too little and (3) too much indentation,
-  # and (4) eliminate trailing whitespace.
-  CHANGELOGENTRY=$(cat "$CHANGELOG_ENTRY_FILE" \
-                   | sed -e 's/\t/        /g' \
-                   | sed -e 's/^ \{1,7\}\([^ ]\)/        \1/g' \
-                   | sed -e 's/^ \{9,80\}\([^ ]\)/        \1/g' \
-                   | sed -e 's/ \+$//')
-  [[ -n "$CHANGELOGENTRY" ]] || die "Empty ChangeLog entry."
-  echo "$CHANGELOGENTRY" > "$NEWCHANGELOG"
-  echo "" >> "$NEWCHANGELOG" # Explicitly insert two empty lines.
-  echo "" >> "$NEWCHANGELOG"
-  cat ChangeLog >> "$NEWCHANGELOG"
-  mv "$NEWCHANGELOG" ChangeLog
-fi
-
-let CURRENT_STEP+=1
-if [ $START_STEP -le $CURRENT_STEP ] ; then
-  echo ">>> Step $CURRENT_STEP: Increment version number."
-  restore_if_unset "BUILD"
-  NEWBUILD=$(($BUILD + 1))
-  confirm "Automatically increment BUILD_NUMBER? (Saying 'n' will fire up \
-your EDITOR on $VERSION_FILE so you can make arbitrary changes. When \
-you're done, save the file and exit your EDITOR.)"
-  if [ $? -eq 0 ] ; then
-    sed -e "/#define BUILD_NUMBER/s/[0-9]*$/$NEWBUILD/" \
-        -i "$VERSION_FILE"
-  else
-    $EDITOR "$VERSION_FILE"
-  fi
-  read_and_persist_version "NEW"
-fi
-
-let CURRENT_STEP+=1
-if [ $START_STEP -le $CURRENT_STEP ] ; then
-  echo ">>> Step $CURRENT_STEP: Commit to local branch."
-  restore_version_if_unset "NEW"
-  PREPARE_COMMIT_MSG="Prepare push to trunk.  \
-Now working on version $NEWMAJOR.$NEWMINOR.$NEWBUILD."
-  persist "PREPARE_COMMIT_MSG"
-  git commit -a -m "$PREPARE_COMMIT_MSG" \
-    || die "'git commit -a' failed."
-fi
-
-upload_step
-
-let CURRENT_STEP+=1
-if [ $START_STEP -le $CURRENT_STEP ] ; then
-  echo ">>> Step $CURRENT_STEP: Commit to the repository."
-  wait_for_lgtm
-  # Re-read the ChangeLog entry (to pick up possible changes).
-  cat ChangeLog | awk --posix '{
-    if ($0 ~ /^[0-9]{4}-[0-9]{2}-[0-9]{2}:/) {
-      if (in_firstblock == 1) {
-        exit 0;
-      } else {
-        in_firstblock = 1;
-      }
-    };
-    print $0;
-  }' > "$CHANGELOG_ENTRY_FILE"
-  PRESUBMIT_TREE_CHECK="skip" git cl dcommit \
-    || die "'git cl dcommit' failed, please try again."
-fi
-
-let CURRENT_STEP+=1
-if [ $START_STEP -le $CURRENT_STEP ] ; then
-  echo ">>> Step $CURRENT_STEP: Fetch straggler commits that sneaked in \
-since this script was started."
-  git svn fetch || die "'git svn fetch' failed."
-  git checkout svn/bleeding_edge
-  restore_if_unset "PREPARE_COMMIT_MSG"
-  PREPARE_COMMIT_HASH=$(git log -1 --format=%H --grep="$PREPARE_COMMIT_MSG")
-  persist "PREPARE_COMMIT_HASH"
-fi
-
-let CURRENT_STEP+=1
-if [ $START_STEP -le $CURRENT_STEP ] ; then
-  echo ">>> Step $CURRENT_STEP: Squash commits into one."
-  # Instead of relying on "git rebase -i", we'll just create a diff, because
-  # that's easier to automate.
-  restore_if_unset "PREPARE_COMMIT_HASH"
-  git diff svn/trunk $PREPARE_COMMIT_HASH > "$PATCH_FILE"
-  # Convert the ChangeLog entry to commit message format:
-  # - remove date
-  # - remove indentation
-  # - merge paragraphs into single long lines, keeping empty lines between them.
-  restore_if_unset "DATE"
-  CHANGELOGENTRY=$(cat "$CHANGELOG_ENTRY_FILE")
-  echo "$CHANGELOGENTRY" \
-    | sed -e "s/^$DATE: //" \
-    | sed -e 's/^ *//' \
-    | awk '{
-        if (need_space == 1) {
-          printf(" ");
-        };
-        printf("%s", $0);
-        if ($0 ~ /^$/) {
-          printf("\n\n");
-          need_space = 0;
-        } else {
-          need_space = 1;
-        }
-      }' > "$COMMITMSG_FILE" || die "Commit message editing failed."
-  rm -f "$CHANGELOG_ENTRY_FILE"
-fi
-
-let CURRENT_STEP+=1
-if [ $START_STEP -le $CURRENT_STEP ] ; then
-  echo ">>> Step $CURRENT_STEP: Create a new branch from trunk."
-  git checkout -b $TRUNKBRANCH svn/trunk \
-    || die "Checking out a new branch '$TRUNKBRANCH' failed."
-fi
-
-let CURRENT_STEP+=1
-if [ $START_STEP -le $CURRENT_STEP ] ; then
-  echo ">>> Step $CURRENT_STEP: Apply squashed changes."
-  rm -f "$TOUCHED_FILES_FILE"
-  apply_patch "$PATCH_FILE"
-  rm -f "$PATCH_FILE"
-fi
-
-let CURRENT_STEP+=1
-if [ $START_STEP -le $CURRENT_STEP ] ; then
-  echo ">>> Step $CURRENT_STEP: Set correct version for trunk."
-  restore_version_if_unset
-  sed -e "/#define MAJOR_VERSION/s/[0-9]*$/$MAJOR/" \
-      -e "/#define MINOR_VERSION/s/[0-9]*$/$MINOR/" \
-      -e "/#define BUILD_NUMBER/s/[0-9]*$/$BUILD/" \
-      -e "/#define PATCH_LEVEL/s/[0-9]*$/0/" \
-      -e "/#define IS_CANDIDATE_VERSION/s/[0-9]*$/0/" \
-      -i "$VERSION_FILE" || die "Patching $VERSION_FILE failed."
-fi
-
-let CURRENT_STEP+=1
-if [ $START_STEP -le $CURRENT_STEP ] ; then
-  echo ">>> Step $CURRENT_STEP: Commit to local trunk branch."
-  git add "$VERSION_FILE"
-  git commit -F "$COMMITMSG_FILE" || die "'git commit' failed."
-  rm -f "$COMMITMSG_FILE"
-fi
-
-let CURRENT_STEP+=1
-if [ $START_STEP -le $CURRENT_STEP ] ; then
-  echo ">>> Step $CURRENT_STEP: Sanity check."
-  confirm "Please check if your local checkout is sane: Inspect $VERSION_FILE, \
-compile, run tests. Do you want to commit this new trunk revision to the \
-repository?"
-  [[ $? -eq 0 ]] || die "Execution canceled."
-fi
-
-let CURRENT_STEP+=1
-if [ $START_STEP -le $CURRENT_STEP ] ; then
-  echo ">>> Step $CURRENT_STEP: Commit to SVN."
-  git svn dcommit 2>&1 | tee >(grep -E "^Committed r[0-9]+" \
-                               | sed -e 's/^Committed r\([0-9]\+\)/\1/' \
-                               > "$TRUNK_REVISION_FILE") \
-    || die "'git svn dcommit' failed."
-  TRUNK_REVISION=$(cat "$TRUNK_REVISION_FILE")
-  # Sometimes grepping for the revision fails. No idea why. If you figure
-  # out why it is flaky, please do fix it properly.
-  if [ -z "$TRUNK_REVISION" ] ; then
-    echo "Sorry, grepping for the SVN revision failed. Please look for it in \
-the last command's output above and provide it manually (just the number, \
-without the leading \"r\")."
-    while [ -z "$TRUNK_REVISION" ] ; do
-      echo -n "> "
-      read TRUNK_REVISION
-    done
-  fi
-  persist "TRUNK_REVISION"
-  rm -f "$TRUNK_REVISION_FILE"
-fi
-
-let CURRENT_STEP+=1
-if [ $START_STEP -le $CURRENT_STEP ] ; then
-  echo ">>> Step $CURRENT_STEP: Tag the new revision."
-  restore_version_if_unset
-  git svn tag $MAJOR.$MINOR.$BUILD -m "Tagging version $MAJOR.$MINOR.$BUILD" \
-    || die "'git svn tag' failed."
-fi
-
-if [ -z "$CHROME_PATH" ] ; then
-  echo ">>> (asking for Chromium checkout)"
-  echo -n "Do you have a \"NewGit\" Chromium checkout and want this script \
-to automate creation of the roll CL? If yes, enter the path to (and including) \
-the \"src\" directory here, otherwise just press <Return>: "
-  read CHROME_PATH
-fi
-
-if [ -n "$CHROME_PATH" ] ; then
-
-  let CURRENT_STEP+=1
-  if [ $START_STEP -le $CURRENT_STEP ] ; then
-    echo ">>> Step $CURRENT_STEP: Switch to Chromium checkout."
-    V8_PATH=$(pwd)
-    persist "V8_PATH"
-    cd "$CHROME_PATH"
-    initial_environment_checks
-    # Check for a clean workdir.
-    [[ -z "$(git status -s -uno)" ]] \
-      || die "Workspace is not clean. Please commit or undo your changes."
-    # Assert that the DEPS file is there.
-    [[ -w "DEPS" ]] || die "DEPS file not present or not writable; \
-current directory is: $(pwd)."
-  fi
-
-  let CURRENT_STEP+=1
-  if [ $START_STEP -le $CURRENT_STEP ] ; then
-    echo ">>> Step $CURRENT_STEP: Update the checkout and create a new branch."
-    git checkout master || die "'git checkout master' failed."
-    git pull || die "'git pull' failed, please try again."
-    restore_if_unset "TRUNK_REVISION"
-    git checkout -b "v8-roll-$TRUNK_REVISION" \
-      || die "Failed to checkout a new branch."
-  fi
-
-  let CURRENT_STEP+=1
-  if [ $START_STEP -le $CURRENT_STEP ] ; then
-    echo ">>> Step $CURRENT_STEP: Create and upload CL."
-    # Patch DEPS file.
-    sed -r -e "/\"v8_revision\": /s/\"[0-9]+\"/\"$TRUNK_REVISION\"/" \
-        -i DEPS
-    restore_version_if_unset
-    echo -n "Please enter the email address of a reviewer for the roll CL: "
-    read REVIEWER
-    git commit -am "Update V8 to version $MAJOR.$MINOR.$BUILD.
-
-TBR=$REVIEWER" || die "'git commit' failed."
-    git cl upload --send-mail \
-      || die "'git cl upload' failed, please try again."
-    echo "CL uploaded."
-  fi
-
-  let CURRENT_STEP+=1
-  if [ $START_STEP -le $CURRENT_STEP ] ; then
-    echo ">>> Step $CURRENT_STEP: Returning to V8 checkout."
-    restore_if_unset "V8_PATH"
-    cd "$V8_PATH"
-  fi
-fi  # if [ -n "$CHROME_PATH" ]
-
-let CURRENT_STEP+=1
-if [ $START_STEP -le $CURRENT_STEP ] ; then
-  echo ">>> Step $CURRENT_STEP: Done!"
-  restore_version_if_unset
-  restore_if_unset "TRUNK_REVISION"
-  if [ -n "$CHROME_PATH" ] ; then
-    echo "Congratulations, you have successfully created the trunk revision \
-$MAJOR.$MINOR.$BUILD and rolled it into Chromium. Please don't forget to \
-update the v8rel spreadsheet:"
-  else
-    echo "Congratulations, you have successfully created the trunk revision \
-$MAJOR.$MINOR.$BUILD. Please don't forget to roll this new version into \
-Chromium, and to update the v8rel spreadsheet:"
-  fi
-  echo -e "$MAJOR.$MINOR.$BUILD\ttrunk\t$TRUNK_REVISION"
-  common_cleanup
-  [[ "$TRUNKBRANCH" != "$CURRENT_BRANCH" ]] && git branch -D $TRUNKBRANCH
-fi
index 9d17a45..f167a8e 100755 (executable)
@@ -101,12 +101,10 @@ class DetectLastPush(Step):
         self.Die("Could not retrieve bleeding edge git hash for trunk push %s"
                  % last_push)
 
-    # TODO(machenbach): last_push_trunk points to the svn revision on trunk.
-    # It is not used yet but we'll need it for retrieving the current version.
+    # This points to the svn revision of the last push on trunk.
     self["last_push_trunk"] = last_push
-    # TODO(machenbach): This currently points to the prepare push revision that
-    # will be deprecated soon. After the deprecation it will point to the last
-    # bleeding_edge revision that went into the last push.
+    # This points to the last bleeding_edge revision that went into the last
+    # push.
     self["last_push_bleeding_edge"] = last_push_bleeding_edge
 
 
@@ -137,15 +135,6 @@ class IncrementVersion(Step):
                                     self["new_minor"],
                                     self["new_build"])
 
-    # TODO(machenbach): The following will be deprecated. Increment version
-    # numbers for version.cc on bleeding_edge (new build level on trunk + 1).
-    text = FileToText(self.Config(VERSION_FILE))
-    text = MSub(r"(?<=#define BUILD_NUMBER)(?P<space>\s+)\d*$",
-                r"\g<space>%s" % str(int(self["new_build"]) + 1),
-                text)
-    TextToFile(text, self.Config(VERSION_FILE))
-    self.ReadAndPersistVersion("new_be_")
-
 
 class PrepareChangeLog(Step):
   MESSAGE = "Prepare raw ChangeLog entry."
@@ -172,6 +161,7 @@ class PrepareChangeLog(Step):
     self["date"] = self.GetDate()
     output = "%s: Version %s\n\n" % (self["date"], self["version"])
     TextToFile(output, self.Config(CHANGELOG_ENTRY_FILE))
+    # TODO(machenbach): Retrieve the push hash also from a command-line option.
     commits = self.GitLog(format="%H",
         git_hash="%s..HEAD" % self["last_push_bleeding_edge"])
 
@@ -222,34 +212,6 @@ class EditChangeLog(Step):
     TextToFile(changelog_entry, self.Config(CHANGELOG_ENTRY_FILE))
 
 
-class CommitLocal(Step):
-  MESSAGE = "Commit to local branch."
-
-  def RunStep(self):
-    self["prep_commit_msg"] = ("Prepare push to trunk.  "
-        "Now working on version %s.%s.%s." % (self["new_be_major"],
-                                              self["new_be_minor"],
-                                              self["new_be_build"]))
-
-    # Include optional TBR only in the git command. The persisted commit
-    # message is used for finding the commit again later.
-    if self._options.tbr_commit:
-      message = "%s\n\nTBR=%s" % (self["prep_commit_msg"],
-                                  self._options.reviewer)
-    else:
-      message = "%s" % self["prep_commit_msg"]
-    self.GitCommit(message)
-
-
-class CommitRepository(Step):
-  MESSAGE = "Commit to the repository."
-
-  def RunStep(self):
-    self.WaitForLGTM()
-    self.GitPresubmit()
-    self.GitDCommit()
-
-
 class StragglerCommits(Step):
   MESSAGE = ("Fetch straggler commits that sneaked in since this script was "
              "started.")
@@ -257,13 +219,8 @@ class StragglerCommits(Step):
   def RunStep(self):
     self.GitSVNFetch()
     self.GitCheckout("svn/bleeding_edge")
-    self["prepare_commit_hash"] = self.GitLog(n=1, format="%H",
-                                              grep=self["prep_commit_msg"])
-    # TODO(machenbach): Retrieve the push hash from a command-line option or
-    # use ToT. The "prepare_commit_hash" will be deprecated along with the
-    # prepare push commit.
-    self["push_hash"] = self.GitLog(n=1, format="%H",
-                                    parent_hash=self["prepare_commit_hash"])
+    # TODO(machenbach): Retrieve the push hash also from a command-line option.
+    self["push_hash"] = self.GitLog(n=1, format="%H", git_hash="HEAD")
 
 
 class SquashCommits(Step):
@@ -364,6 +321,8 @@ class SanityCheck(Step):
   MESSAGE = "Sanity check."
 
   def RunStep(self):
+    # TODO(machenbach): Run presubmit script here as it is now missing in the
+    # prepare push process.
     if not self.Confirm("Please check if your local checkout is sane: Inspect "
         "%s, compile, run tests. Do you want to commit this new trunk "
         "revision to the repository?" % self.Config(VERSION_FILE)):
@@ -542,9 +501,6 @@ class PushToTrunk(ScriptsBase):
       IncrementVersion,
       PrepareChangeLog,
       EditChangeLog,
-      CommitLocal,
-      UploadStep,
-      CommitRepository,
       StragglerCommits,
       SquashCommits,
       NewBranch,
index d6fa5c9..37196de 100644 (file)
@@ -709,21 +709,9 @@ Performance and stability improvements on all platforms.""", commit)
       Git("log -1 --format=%s rev1", "Log text 1.\n"),
       Git("log -1 --format=%B rev1", "Text\nLOG=YES\nBUG=v8:321\nText\n"),
       Git("log -1 --format=%an rev1", "author1@chromium.org\n"),
-      Git(("commit -am \"Prepare push to trunk.  "
-           "Now working on version 3.22.6.%s\"" % review_suffix),
-          " 2 files changed\n",
-          cb=CheckPreparePush),
-      Git(("cl upload --send-mail --email \"author@chromium.org\" "
-           "-r \"reviewer@chromium.org\"%s" % force_flag),
-          "done\n"),
-      Git("cl presubmit", "Presubmit successfull\n"),
-      Git("cl dcommit -f --bypass-hooks", "Closing issue\n"),
       Git("svn fetch", "fetch result\n"),
       Git("checkout -f svn/bleeding_edge", ""),
-      Git(("log -1 --format=%H --grep=\"Prepare push to trunk.  "
-           "Now working on version 3.22.6.\""),
-          "prep_hash\n"),
-      Git("log -1 --format=%H prep_hash^", "push_hash\n"),
+      Git("log -1 --format=%H HEAD", "push_hash\n"),
       Git("diff svn/trunk push_hash", "patch content\n"),
       Git("svn find-rev push_hash", "123455\n"),
       Git("checkout -b %s svn/trunk" % TEST_CONFIG[TRUNKBRANCH], "",
@@ -759,21 +747,12 @@ Performance and stability improvements on all platforms.""", commit)
         RL("Y"),  # Confirm last push.
         RL(""),  # Open editor.
         RL("Y"),  # Increment build number.
-        RL("reviewer@chromium.org"),  # V8 reviewer.
-        RL("LGTX"),  # Enter LGTM for V8 CL (wrong).
-        RL("LGTM"),  # Enter LGTM for V8 CL.
         RL("Y"),  # Sanity check.
         RL("reviewer@chromium.org"),  # Chromium reviewer.
       ])
 
-    # Expected keyboard input in semi-automatic mode:
-    if not manual and not force:
-      self.ExpectReadline([
-        RL("LGTM"),  # Enter LGTM for V8 CL.
-      ])
-
-    # No keyboard input in forced mode:
-    if force:
+    # Expected keyboard input in semi-automatic mode and forced mode:
+    if not manual:
       self.ExpectReadline([])
 
     args = ["-a", "author@chromium.org", "-c", TEST_CONFIG[CHROMIUM]]